﻿using System;
using System.Windows;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;

namespace DeletingRecord
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<String> collectionValue;

        public ObservableCollection<String> Collection
        {
            get
            {
                return this.collectionValue;
            }
            set
            {
                if (value != this.collectionValue)
                {
                    this.collectionValue = value;
                }
            }
        }

        public MainWindow()
        {
            collectionValue = new ObservableCollection<String>();
            collectionValue.Add("John");
            collectionValue.Add("Terry");
            collectionValue.Add("Greg");
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (xamDataGrid1.ActiveRecord != null)
            {
                xamDataGrid1.ExecuteCommand(DataPresenterCommands.DeleteSelectedDataRecords);
                collectionValue.Add("Sarah");
            }
        }

    }
}
